Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class Variable

Represents compile time variable metadata while compiling a method.

author:
  James Strachan

author:
  Jochen Theodorou

version:
  $Revision: 8004 $

Field Summary
`Variable` | `SUPER_VARIABLE`
`Variable` | `THIS_VARIABLE`
`boolean` | `dynamicTyped`
`Label` | `endLabel`
`boolean` | `holder`
`int` | `index`
`String` | `name`
`boolean` | `property`
`Label` | `startLabel`
`ClassNode` | `type`

Constructor Summary
`Variable()`
`Variable(int index, ClassNode type, String name)`

Method Summary
`Label` | `getEndLabel()`
`int` | `getIndex()`
`String` | `getName()`
`Label` | `getStartLabel()`
`ClassNode` | `getType()`
`String` | `getTypeName()`
`boolean` | `isDynamicTyped()`
`boolean` | `isHolder()`
`boolean` | `isProperty()`
`void` | `setDynamicTyped(boolean b)`
`void` | `setEndLabel(Label endLabel)`
`void` | `setHolder(boolean holder)`
`void` | `setProperty(boolean property)`
`void` | `setStartLabel(Label startLabel)`
`void` | `setType(ClassNode type)`
`String` | `toString()`

Constructor Detail

### Variable

    Variable()

### Variable

    public Variable(int index, ClassNode type, String name)

Method Detail

### getEndLabel

    public Label getEndLabel()

### getIndex

    public int getIndex()

  return:
    the stack index for this variable

### getName

    public String getName()

### getStartLabel

    public Label getStartLabel()

### getType

    public ClassNode getType()

### getTypeName

    public String getTypeName()

### isDynamicTyped

    public boolean isDynamicTyped()

### isHolder

    public boolean isHolder()

  return:
    is this local variable shared in other scopes (and so must use a ValueHolder)

### isProperty

    public boolean isProperty()

### setDynamicTyped

    public void setDynamicTyped(boolean b)

### setEndLabel

    public void setEndLabel(Label endLabel)

### setHolder

    public void setHolder(boolean holder)

### setProperty

    public void setProperty(boolean property)

### setStartLabel

    public void setStartLabel(Label startLabel)

### setType

    public void setType(ClassNode type)

### toString

    public String toString()